Bug 721141 - Unknown event for user <system> and target <subscriptionName>
Unknown event for user <system> and target <subscriptionName>
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
Unspecified Solaris
unspecified Severity medium
: ---
: ---
Assigned To: Bryan Kearney
John Sefler
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-07-13 16:14 EDT by John Sefler
Modified: 2015-05-14 11:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 09:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2011-07-13 16:14:11 EDT
Description of problem:
Discovered along side bug 721136, the description value for some atom events is not very helpful.  Is there a way to fix this? or are they really unknown.

For example, when triggering a POOL MODIFIED event, the atom description currently produced is:
Unknown event for user System and target Awesome OS Scalable Filesystem


Moreover, when I browse the entries of atoms feeds for an owner, consumer, or candlepin, I see many examples of an "Unknown event for user <system> and target <subscriptionName>"
  /candlepin/atom
  /candlepin/owners/admin/atom
  /candlepin/owners/admin/consumers/b25ea83b-9cdb-4db7-8911-21d41cd885d1/atom



Version-Release number of selected component (if applicable):
[root@jsefler-onprem-62candlepin proxy]# git branch
  0.3
* master
[root@jsefler-onprem-62candlepin proxy]# git show-ref | grep master
074f11f1e637a85d07620efb1778ab7a64fff253 refs/heads/master
074f11f1e637a85d07620efb1778ab7a64fff253 refs/remotes/origin/master
Comment 1 Bryan Kearney 2011-07-21 12:46:56 EDT
fixed in master with commit fc717991f18b3ba859a10a4f268cc97e884b8114
Comment 2 John Sefler 2011-07-26 11:08:29 EDT
Verifying Version...
[root@jsefler-onprem-62candlepin proxy]# git branch
  0.3
* master
[root@jsefler-onprem-62candlepin proxy]# git show-ref | grep master
49c78843b94f157caf30a2e0bd3a5cf02537db57 refs/heads/master
49c78843b94f157caf30a2e0bd3a5cf02537db57 refs/remotes/origin/master


With the candlepin fix applied and the existing automated EventTests rerun, no atom feed descriptions containing "Unknown event" were reported.

Here are samples of some of the events reported...201107260914:22.844 - FINE: Event Feed entries[0].title=ENTITLEMENT DELETED   description=jsefler-onprem-62server.usersys.redhat.com returned the subscription for Awesome OS for  z80/x86_64 (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260914:22.845 - FINE: Event Feed entries[1].title=ENTITLEMENT MODIFIED   description=System modified a subscription for product Awesome OS for  z80/x86_64 (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260914:22.845 - FINE: Event Feed entries[2].title=POOL MODIFIED   description=System modified a pool for product Awesome OS for  z80/x86_64 (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)


Moreover, I also updated our automated EventTests to assert that no "Unknown event" descriptions are encountered.

moving to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.